; CTC										
; Bernhard.Erfurt@gmx.de					
; 01/2013									

.include "m8def.inc"	; ATmega8								

.cseg					;Beginn eines Code-Segmentes			
.org 0					;Startadresse=0							

rjmp RESET      		; Reset Handler                         



RESET:                        
	sbi DDRB, 1			;(OC1A)Ausgang

    clr     R16  		; Frequenz einstellen	               
    out     ocr1AH, R16
   	out     ocr1AL,R16             

   
;  Compare Output Mode 
   ldi R16, (1<<com1A0)
   out TCCR1A,R16

; Vorteiler													
; cs12 cs11 cs10											
;	0 	0 	0 	No clock source. (Timer/Counter stopped)	
; *	0 	0 	1 	clkI/O/1 (No prescaling)					
;	0 	1 	0 	clkI/O/8 (From prescaler)					
;	0 	1 	1 	clkI/O/64 (From prescaler)					
;	1 	0 	0 	clkI/O/256 (From prescaler)					
;	1 	0 	1 	clkI/O/1024 (From prescaler) 				
   ldi     r16,(1<<wgm12|0<<cs12|0<<cs11|1<<cs10)  
   out     tccr1B,R16              

LOOP:

rjmp LOOP




